import { Cell } from "@antv/x6";
import { useSessionStorageState } from "ahooks";
export default function ProjectModel() {
  const [projectInfo, setProjectInfo] = useSessionStorageState<
    {
      graph: Record<string, any>
      elements: Cell.Properties[];
    }
  >("system-design-project", {
    listenStorageChange: true
  });

  return {
    projectInfo,
    setProjectInfo,
  };
}
